Bug 1275093 - Backporting Cinder Private Volume Types implementation
Backporting Cinder Private Volume Types implementation
Status: CLOSED CANTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder (Show other bugs)
6.0 (Juno)
Unspecified Unspecified
high Severity medium
: ---
: 6.0 (Juno)
Assigned To: Sergey Gotliv
lkuchlan
https://blueprints.launchpad.net/cind...
upstream_milestone_kilo-1 upstream_de...
: ZStream
Depends On: 1112485
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-25 16:57 EDT by Pablo Caruana
Modified: 2016-05-01 06:49 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1112485
Environment:
Last Closed: 2015-12-10 08:40:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pcaruana: needinfo-
pcaruana: needinfo-


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 105546 None None None Never
OpenStack gerrit 114395 None None None Never

  None (edit)
Description Pablo Caruana 2015-10-25 16:57:46 EDT
The RFE was implemented under OSP 7 Kilo under https://bugzilla.redhat.com/show_bug.cgi?id=1112485 and errata https://access.redhat.com/errata/RHEA-2015:1548 under 2015.1.0 according to the blueprint [1].

Some telco customer are interested on having this feature under their OSP 6 Juno based ones and asked us for backporting.

Original Blueprint https://blueprints.launchpad.net/cinder/+spec/private-volume-types
Cloned from launchpad blueprint https://blueprints.launchpad.net/cinder/+spec/private-volume-types.

Description:

Currently, all cinder volume types are visible to all users, regardless of their project. Some volume types should only be restricted. Examples are test volume types where a new technology is being tried out or ultra high performance volumes for special needs where most users should not be able to select these volumes. Similar approaches are taken with the is_public flag on flavors in Nova.
Comment 4 Sergey Gotliv 2015-12-10 08:40:54 EST
Backport, unfortunately, is not clean. It breaks around 150 tests.

Note You need to log in before you can comment on or make changes to this bug.